### Method

# Shell PerfLog event_x

#### Declaration [src]

    void
    shell_perf_log_event_x (
      ShellPerfLog* perf_log,
      const char* name,
      gint64 arg
    )

#### Description [src]

Records a performance event with one 64-bit integer argument.

#### Parameters

`name`

  Type: `const char*`

  Name of the event.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg`

  Type: `gint64`

  The argument.